include( GNUInstallDirs )

if ( CMAKE_PREFIX_PATH)
  set( ENV{PKG_CONFIG_PATH} "${CMAKE_PREFIX_PATH}/${CMAKE_INSTALL_LIBDIR}/pkgconfig:$ENV{PKG_CONFIG_PATH}" )
endif( )
if ( PKG_CONFIG_PATH )
  set( ENV{PKG_CONFIG_PATH} "${PKG_CONFIG_PATH}:$ENV{PKG_CONFIG_PATH}" )
endif ( PKG_CONFIG_PATH )

find_package(PkgConfig)

if ( CM_MSG_DEBUG_VERBOSE )
  message( STATUS "+++ DEBUG +++ CMAKE_PREFIX_PATH: ${CMAKE_PREFIX_PATH} " )
  message( STATUS "+++ DEBUG +++ PKG_CONFIG_PATH: ${PKG_CONFIG_PATH} " )
  message( STATUS "+++ DEBUG +++ ENV{PKG_CONFIG_PATH}: $ENV{PKG_CONFIG_PATH} " )
endif( )

pkg_check_modules(LTCMAKE REQUIRED ldastoolscmake>=1.0.4)

if ( LTCMAKE_FOUND )
  set( ENV{PKG_CONFIG_PATH} "${LTCMAKE_PREFIX}/lib64/pkgconfig:${LTCMAKE_PREFIX}/lib/pkgconfig:$ENV{PKG_CONFIG_PATH}" )
endif ( )
execute_process(
  COMMAND ${PKG_CONFIG_EXECUTABLE} --variable=LDASTOOLS_CMAKE_MODULE_DIR ldastoolscmake
  OUTPUT_VARIABLE _PATH
  OUTPUT_STRIP_TRAILING_WHITESPACE
  )
if ( _PATH )
  set( CMAKE_MODULE_PATH "${_PATH}" ${CMAKE_MODULE_PATH} CACHE STRING "Module search prefix" FORCE )
endif( )
message( STATUS "+++ DEBUG +++ CMAKE_MODULE_PATH: ${CMAKE_MODULE_PATH}" )
execute_process(
  COMMAND ${PKG_CONFIG_EXECUTABLE} --variable=prefix ldastoolscmake
  OUTPUT_VARIABLE _PATH
  OUTPUT_STRIP_TRAILING_WHITESPACE)
if ( _PATH )
  set( CMAKE_PREFIX_PATH "${_PATH}" ${CMAKE_PREFIX_PATH} CACHE STRING "Search prefix" FORCE )
endif( )
message( STATUS "+++ DEBUG +++ CMAKE_PREFIX_PATH: ${CMAKE_PREFIX_PATH}" )

